Skip to main content
[GET]
{{baseUrl}}/api/v1/gh/kyc/voter
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id *stringThe Voter ID numberrequired
is_new_idbooleanWhether this is a 2020 issued voter ID or the older ID. This is by default false until 1 September 2021, then it would be true by default.optional
full_namestringThe full name of the document holder as it appears on the IDoptional

Sample response

Response
{
    "entity": {
    		"id": "123456789",
    		"full_name": "JOHN DOE",
    		"date_of_birth": "25",
    		"gender": "M",
    		"polling_station": "C121402",
    		"registration_date": "2012-09-04",
    		"picture": "BASE64 ENCODED IMAGE",
    		"is_full_name_match": true
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.idstringVoter ID number
entity.full_namestringFull name of the voter
entity.date_of_birthstringDate of birth of the individual
entity.genderstringGender of the individual
entity.polling_stationstringAssigned polling station code
entity.registration_datestringDate the voter was registered (yyyy-MM-dd)
entity.picturestringBase64-encoded photo of the individual
entity.is_full_name_matchbooleanWhether the provided name matches the record